Subject: Re: bug#63399: 28.2; Documentation for yes-or-no-p wrong/different between docstring and lispref

From: Michael Albinus <[email-masked]>
Date: Wed, 10 May 2023 16:57:17 +0200

Eli Zaretskii <[email-masked]> writes:

>> >> I guess we should pad the prompt with a trailing space, if there isn't
>> >> any already.
>> >
>> > No, I don't think we should.  The caller should take care of any
>> > padding, if that is desired.  The function shouldn't second-guess
>> > whether a space is needed or not.
>>
>> Why the difference to y-or-no-p?
>
> I don't know.
>
> But there's no difference if the prompt ends in a space.

Yes. It is just a convenience change, and there's code in the wild which
doesn't use a trailing space in the propmpt, when calling
yes-or-no-p. What would be wrong with my patch? I don't see that it
hurts.

Best regards, Michael.